> ## Documentation Index
> Fetch the complete documentation index at: https://domoinc-openapi-sync-dataflows.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a group

> Permanently deletes a group from your Domo instance.
<Danger>
**Warning**

This is destructive and cannot be reversed.
</Danger>



## OpenAPI

````yaml /openapi/platform/group.yaml DELETE /v1/groups/{group_id}
openapi: 3.1.0
info:
  title: Group API
  version: '1.0'
  description: >-
    Group objects allow you to manage a group and users associated to a group.
    Groups allow you to set access rights, send Buzz messages, or share content
    that stays consistent even when the group members may change.  The API
    allows you to create, delete, retrieve a user or a list of users, and update
    user information.


    ### The Group Object


    #### Attributes


    Property Name | Type | Description

    ------- | ------- | -------

    name | string | User's full name

    id | String | The ID of the group

    name | String | The name of the group

    default | Boolean | Whether the group is the default group

    active | Boolean | The active status of the group

    creatorId | String | The ID of the user who created the group

    memberCount | Number | The member count of the group

    userIds | Array | The IDs of the users in the group
servers:
  - url: https://api.domo.com
    description: Domo API
security:
  - bearerAuth: []
paths:
  /v1/groups/{group_id}:
    parameters:
      - schema:
          type: string
        name: group_id
        in: path
        required: true
    delete:
      summary: Delete a group
      description: |-
        Permanently deletes a group from your Domo instance.
        <Danger>
        **Warning**

        This is destructive and cannot be reversed.
        </Danger>
      operationId: delete-v1-groups-group_id
      responses:
        '204':
          description: >-
            Returns the parameter of success or error based on the group ID
            being valid.


            ```text

            HTTP/1.1 204 No Content

            ```
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````